/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.util;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.junit.jupiter.api.Test;
import org.xwiki.rendering.block.Block;
import org.xwiki.rendering.block.ParagraphBlock;

import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * Unit tests for {@link ParserUtils}.
 *
 * @version $Id: d38df69649031e3bcbdb94b37d13ab94cc25fa61 $
 */
class ParserUtilsTest
{
    @Test
    void convertToInlineWhenEmptyParagraph()
    {
        ParserUtils util = new ParserUtils();
        List<Block> blocks = new ArrayList<>(List.of(new ParagraphBlock(Collections.emptyList())));
        util.convertToInline(blocks);
        assertTrue(blocks.isEmpty());
    }
}
