/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.transformation.linkchecker;

import java.util.Map;

import org.xwiki.component.annotation.Role;

/**
 * Provides the states of all checked links (ie all links that have been visited in the wiki).
 *
 * @version $Id: c4489e8eb08caf7a33928756d58f63e3b4a6a9d2 $
 * @since 3.3M1
 */
@Role
public interface LinkStateManager
{
    /**
     * @return the states of all checked links. The returned outer map key is the link reference and the inner map
     *         key is the content reference
     */
    Map<String, Map<String, LinkState>> getLinkStates();
}
