/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.macro.descriptor;

import java.lang.reflect.Type;

/**
 * Define a macro content.
 *
 * @version $Id: f2a2e6e6dfe44fc5e0da57845b1aa327603fff30 $
 * @since 1.9M1
 */
public interface ContentDescriptor
{
    /**
     * @return the description of the macro content.
     */
    String getDescription();

    /**
     * @return indicate if the macro content is mandatory.
     */
    boolean isMandatory();

    /**
     * This method will return the type of the macro content. By default it fallback to String.
     *
     * @return the type of the macro content.
     * @since 10.10RC1
     */
    default Type getType()
    {
        return String.class;
    }
}
