/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.wikimodel.jspwiki;

import org.xwiki.rendering.wikimodel.WikiReferenceParser;

/**
 * @version $Id: a421d01425020251c0c6ea5e6fed33bc0624d243 $
 * @since 4.0M1
 */
public class JspWikiReferenceParser extends WikiReferenceParser
{
    @Override
    protected String getLabel(String[] chunks)
    {
        if (chunks.length > 1) {
            return chunks[0];
        }
        return null;
    }

    @Override
    protected String getLink(String[] chunks)
    {
        if (chunks.length > 1) {
            return chunks[1];
        }
        return chunks[0];
    }
}